E-MailRelay

Public Member Functions | List of all members
GVerifiers::InternalVerifier Class Reference

The standard internal Verifier that accepts all mailbox names. More...

`#include <ginternalverifier.h>`

Inheritance diagram for GVerifiers::InternalVerifier:
[legend]
Collaboration diagram for GVerifiers::InternalVerifier:
[legend]

## Public Member Functions
| InternalVerifier ()
| Constructor.
| InternalVerifier (const InternalVerifier &)=delete
| InternalVerifier (InternalVerifier &&)=delete
InternalVerifier & | operator= (const InternalVerifier &)=delete
InternalVerifier & | operator= (InternalVerifier &&)=delete
Public Member Functions inherited from GSmtp::Verifier
virtual void | verify (const Request &)=0
| Checks a recipient address and asynchronously returns a GSmtp::VerifierStatus structure to indicate whether the address is a local mailbox, what the full name is, and the canonical address.
virtual G::Slot::Signal< Command, const VerifierStatus & > & | doneSignal ()=0
| Returns a signal that is emit()ed when the verify() request is complete.
virtual void | cancel ()=0
| Aborts any current processing.
virtual | ~Verifier ()=default
| Destructor.

## Additional Inherited Members
Public Types inherited from GSmtp::Verifier
enum class | Command { VRFY , RCPT }

## Detailed Description

The standard internal Verifier that accepts all mailbox names.

Definition at line 38 of file ginternalverifier.h.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gverifiers/ginternalverifier.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gverifiers/ginternalverifier.cpp